Bug 14184 - Noisy warns in C4/CourseReserves.pm
Summary: Noisy warns in C4/CourseReserves.pm
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-12 04:17 UTC by Aleisha Amohia
Modified: 2016-12-05 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14184: Undefined $term causes noisy warns in C4/CourseReserves.pm (811 bytes, patch)
2015-05-12 04:25 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 14184: Undefined $term causes noisy warns in C4/CourseReserves.pm (1.37 KB, patch)
2015-05-14 01:00 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
[PASSED QA] Bug 14184: Undefined $term causes noisy warns in C4/CourseReserves.pm (1.46 KB, patch)
2015-05-22 12:43 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2015-05-12 04:17:44 UTC
If $term is not set and left as undefined there are a couple noisy warns
Comment 1 Aleisha Amohia 2015-05-12 04:25:59 UTC Comment hidden (obsolete)
Comment 2 Indranil Das Gupta 2015-05-14 01:00:37 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-05-22 12:43:55 UTC
Created attachment 39405 [details] [review]
[PASSED QA] Bug 14184: Undefined $term causes noisy warns in C4/CourseReserves.pm

This patch sets $term to be an empty string.

Test plan
=========

1/ enable 'UseCourseReserves' syspref in Circulation preferences
2/ in a terminal, run a `tail -f ` on your instance's opac-error.log
3/ go to the opac, click on 'Course reserve' tab to go to
   opac-course-reserves.pl
4/ notice the warning - "opac-course-reserves.pl: Use of uninitialized
   value $term" appear in the `tail`ed opac-error.log
5/ apply the patch
6/ reload the page (opac-course-reserves.pl)
7/ page works but the warning in step #4 is no longer logged
8/ run qa test (i.e. koha-qa.pl -c 1 -v 2), there should be no error

Remarks: Testing result match expected test plan output. The QA tests
         pass with "OK" for the commit.

Signed-off-by: Indranil Das Gupta (L2C2 Technologies) <indradg@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2015-05-26 14:06:41 UTC
Patch pushed to master.

Thanks Aleisha!
Comment 5 Chris Cormack 2015-05-27 08:04:27 UTC
Pushed to 3.20.x will be in 3.20.1
Comment 6 Liz Rea 2015-06-22 22:36:07 UTC
Patch pushed to 3.18.x will be in 3.18.08
Comment 7 Mason James 2015-07-25 09:43:48 UTC
Pushed to 3.16.x, will be in 3.16.13